.modal {
    display: flex;
    position: fixed;
    z-index: 50;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.6);
    cursor: pointer;
    overflow-y: auto;
    padding: 6px;
}
.modal__main {
    position: relative;
    margin: auto;
    max-width: 450px;
    width: 100%;
    background: #FFFFFF;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 20px;
    cursor: default;
    overflow: hidden;
}
.modal__card {
    display: flex;
    flex-direction: column;
}
.modal__card_btn {
    margin: 20px;
    text-align: center;
}
.modal__close {
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 0;
    background-color: transparent;
    color: #FFFFFF;
    line-height: 0;
    border: 0;
}

.modal__container {
    display: flex;
}
.modal__container::after {
    content: '';
    flex: 0 0 360px;
    background-image: url('../img/modal-bg-desktop.jpg');
    background-size: cover;
}
.modal__content {
    padding: 30px;
}
.modal__title {
    font-size: 32px;
    margin-bottom: 24px;
    text-align: left;
}
.modal__subtitle {
    margin-top: 0;
    margin-bottom: 32px;
}
.modal__fieldset {
    margin: 0 0 32px;
    padding: 0;
    border: 0;
    display: flex;
}
.modal__wrapper-input {
    position: relative;
    margin-right: 10px;
    padding-bottom: 20px;
    flex-basis: 50%;
}
.modal__wrapper-input:last-child {
    margin-right: 0;
}
.modal__text {
    font-size: 12px;
    color: var(--text-color);
    margin-bottom: 2px;
}
.modal__input {
    width: 100%;
    height: 54px;
    border: 1px solid var(--light-gray);
    border-radius: 12px;
    padding: 0 25px;
}

.modal__input-error {
    position: absolute;
    bottom: 0;
    right: 0;
    font-size: 12px;
}


@media (max-width: 500px) {
    .modal__container::after {
        display: none;
    }
    .modal__container {
        background-image: url('../img/modal-bg-op.jpg');
        background-size: cover;
    }
    .modal__title {
        font-size: 22px;
    }
    .modal__fieldset {
        flex-direction: column;
    }
}